Download it now!
Bug 71246 - [EasyHack] Run fixincludeguards.sh and fix include guards
Summary: [EasyHack] Run fixincludeguards.sh and fix include guards
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, topicCleanup
Depends on:
Blocks:
 
Reported: 2013-11-05 08:52 UTC by Thomas Arnhold
Modified: 2016-02-18 16:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Arnhold 2013-11-05 08:52:35 UTC
Run fixincludeguards.sh on the LibreOffice code base and fix all include guards. I did already fix some dirs, but there's still much to do (sc, connectivity,...). Please mind, that some directories don't have to get converted, like compilerplugins.

find [targetdir] -name *.hxx -or -name *.h | xargs sh fixincludeguards.sh
Comment 1 Thomas Arnhold 2013-11-05 08:53:56 UTC
The script is located at bin/fixincludeguards.sh.
Comment 2 Thomas Arnhold 2014-05-28 17:31:18 UTC
The script was successfully run on the code base. For fixing more include guards, which could be simply identified with fixincludeguards.sh, see Bug 68849.
Comment 3 Robinson Tryon (qubit) 2015-12-16 05:13:04 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner TopicCleanup)
[NinjaEdit]
Comment 4 Robinson Tryon (qubit) 2016-02-18 16:37:22 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]